% X_1,X_2 ... 3D points
% omc_1,Tc_1, ... camera positions and orientations
% fc,cc,kc,alpha_c camera intrinsic parameters

[x_reproj] = project_points2(X_1,omc_1,Tc_1,fc,cc,kc,alpha_c);
err_reproj = x_1 - x_reproj;
rms = sum(sum(err_reproj .* err_reproj));

rms = sqrt(rms / 10);
fprintf(1, 'Calibration Error: RMS = %3.6f\n', rms);

